#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	WebP image codec library and tools
Summary(pl.UTF-8):	Biblioteka i narzędzia do kodeka obrazów WebP
Name:		libwebp
Version:	0.2.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/webp/downloads/list
Source0:	http://webp.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	75f33cabe4af0dfb51d751c67ae1b3d0
URL:		https://developers.google.com/speed/webp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebP image codec library and tools.

%description -l pl.UTF-8
Biblioteka i narzędzia do kodeka obrazów WebP.

%package devel
Summary:	Header files for WebP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WebP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for WebP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WebP.

%package static
Summary:	Static WebP library
Summary(pl.UTF-8):	Statyczna biblioteka WebP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WebP library.

%description static -l pl.UTF-8
Statyczna biblioteka WebP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwebp.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS PATENTS README
%attr(755,root,root) %{_bindir}/cwebp
%attr(755,root,root) %{_bindir}/dwebp
%attr(755,root,root) %{_libdir}/libwebp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebp.so.4
%{_mandir}/man1/cwebp.1*
%{_mandir}/man1/dwebp.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebp.so
%{_includedir}/webp
%{_pkgconfigdir}/libwebp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwebp.a
%changelog
* Wed Aug 22 2012 Elan Ruusamäe <glen@delfi.ee> 4a93dd2
- BR lt 2

* Tue Aug 21 2012 Jakub Bogusz <qboosh@pld-linux.org> d324e5d
- updated to 0.2.0 (new stable version; soname changed)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> f160fa9
up to 0.1.99

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aab082c
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9845316
- release 2

* Mon Sep 26 2011 Jakub Bogusz <qboosh@pld-linux.org> daa6d43
- updated to 0.1.3 (note: new soname)

* Sun Jun 05 2011 Jakub Bogusz <qboosh@pld-linux.org> dcf19e5
- new

